ISC BIND 9.x < 9.9.9-P4 / 9.9.9-S6 / 9.10.4-P4 / 9.11.0-P1 DoS

High Nessus Network Monitor Plugin ID 9877

Synopsis

The remote DNS server may be affected by a Denial of Service (DoS) attack vector.

Description

Versions of ISC BIND 9.x prior to 9.9.9-P4, 9.9.9-S6, 9.10.4-P4 and 9.11.0-P1 are unpatched for a flaw that is triggered when handling a recursive response containing a DNAME record in the answer section. This may allow a remote attacker to trigger an assertion error and cause a server to stop responding.

Solution

Upgrade ISC BIND to version 9.11.0-P1 or later. If version 9.11.x cannot be obtained, versions 9.10.4-P4, 9.9.9-S6 and 9.9.9-P4 are also patched for these issues.

See Also

https://kb.isc.org/article/AA-01434/74/CVE-2016-8864%3A-A-problem-handling-responses-containing-a-DNAME-answer-can-lead-to-an-assertion-failure.html

https://kb.isc.org/article/AA-01434

Plugin Details

Severity: High

ID: 9877

File Name: 9877.prm

Family: DNS Servers

Published: 2017/01/20

Modified: 2017/01/20

Dependencies: 1003

Nessus ID: 94577

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

CVSSv3

Base Score: 7.5

Temporal Score: 7.2

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS3#E:X/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:isc:bind

Patch Publication Date: 2016/11/01

Vulnerability Publication Date: 2016/11/01

Reference Information

CVE: CVE-2016-8864

BID: 94067